Subject: FW: Creating DS0s and DS0Bundles.

From: Jason Perreault <[email-masked]>
Date: Tue, 3 Feb 1998 09:29:39 -0500

Experienced local mail problems, resending this.
Apologies if it is a duplicate.

Jason

> -----Original Message-----
> From:	Jason Perreault 
> Sent:	Monday, February 02, 1998 5:04 PM
> To:	[email-masked]
> Subject:	RE: Creating DS0s and DS0Bundles.
> 
> My comments indicated by [JJP].
> 
> -----Original Message-----
> From:	Gary Hanson [SMTP:[email-masked]]
> Sent:	Monday, February 02, 1998 1:16 PM
> To:	Dave Fowler
> Cc:	[email-masked]; [email-masked]
> Subject:	Re: Creating DS0s and DS0Bundles.
> 
> Dave,
> 
> I have some comments below that you and others in the WG may want to
> consider about DS0 and DS0 bundle creation.
> 
> Regards,
> Gary
> 
>  ______
> | ///  |       TM   Gary Hanson                [email-masked]
> |   ADC|Kentrox     14375 NW Science Park Dr.  503-641-3321 (FAX)
> |______|            Portland, Oregon  97229    800-733-5511 x6333
> 
> 
> 
> 
> [JJP]  <Regarding representing ds0s as interfaces, Gary suggests:>
>  
> In cases where the ds1 is NEVER channelized, I agree that the agent
> should never be expected to create the ds0s, since their presence in
> the ifTable would be an unnecessary waste of resources and an obstacle
> to managers that need to walk over them.
> 
> In cases where the ds1 is ALWAYS channelized, I think it would be
> important to mention explicitly in the DS0-MIB that a ds1 ifEntry for
> a framed DS1 or E1 circuit would NEVER appear alone in an ifTable, but
> would ALWAYS be accompanied by the appropriate number of corresponding
> ds0 ifEntries, all of which are created (and given previously unused
> ifIndex values) by the agent at the same time that the ds1 ifEntry is
> created.
> 
> [JJP]  <I ask:>
> 
> Some implementations might choose to offer a coarser representation
> of interfaces on a channelized ds1. Should the MIB really insist that
> all ds0s
> on a channelized ds1 be represented as interfaces?
> 
> Is there such a thing as a channelized ds1 implementation that
> supports
> configurable bundles of one or more ds0s, but omits representation of
> every 
> ds0 as an interface? 
> 
> Suppose a ds0Bundle is stacked directly over ds1, and a ds0Bundle
> table
> exposes the ds0 channel numbers associated with the bundle (for
> example,
> an enumerating table indexed by
> <ds0Bundle_ifIndex>.<ds0_channel_number>,
> or more simply a bitmask object per ds0Bundle interface, if this is
> viable for
> the channel range).
> 
> This eliminates much ifTable/ifStackTable clutter when ds0s are of
> little
> management interest other than knowing whether they are in use, and
> how
> they are grouped. (In this approach, a bundle could consist of a
> single ds0).
> 
> I missed any past discussion in trunk-mib pertaining to ds0
> management.
> How much of the motivation for the present model comes from wanting
> to leverage ifStackTable to represent the layering relationships, in
> contrast
> to a "need" to treat ds0s as interfaces (i.e. there is significant
> benefit in
> representing IF-MIB ifGeneralGroup characteristics per ds0, that
> justifies
> the "clutter")?
> 
> Thanks in advance for any comments, opinions, real-world
> implementation
> experience, etc.
> 
> Jason Perreault
> Redstone Communications
> 
> [JJP]
> 
> 
>